List strategy executions
curl --request GET \
--url https://api.itoflow.ai/strategies/{id}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/strategies/{id}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/strategies/{id}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"executions": [
{
"agent_notes": "<string>",
"confidence": 123,
"created_at": "<string>",
"decision_date": "<string>",
"decision_type": "<string>",
"event_count": 123,
"execution_status": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market_outlook": "<string>",
"reasoning": "<string>",
"risk_assessment": "<string>",
"strategy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"structured_dashboard": {},
"target_allocation": {},
"task_id": "<string>",
"user_instruction": "<string>"
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Strategies
List strategy executions
Operation ID: get__strategies_id_executions.
GET
https://api.itoflow.ai
/
strategies
/
{id}
/
executions
List strategy executions
curl --request GET \
--url https://api.itoflow.ai/strategies/{id}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/strategies/{id}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/strategies/{id}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"executions": [
{
"agent_notes": "<string>",
"confidence": 123,
"created_at": "<string>",
"decision_date": "<string>",
"decision_type": "<string>",
"event_count": 123,
"execution_status": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market_outlook": "<string>",
"reasoning": "<string>",
"risk_assessment": "<string>",
"strategy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"structured_dashboard": {},
"target_allocation": {},
"task_id": "<string>",
"user_instruction": "<string>"
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}